Bug 14926 - Remove C4::Dates from members/printfeercpt.pl
Summary: Remove C4::Dates from members/printfeercpt.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-29 16:41 UTC by Marc Véron
Modified: 2016-06-21 21:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14926 - Remove C4::Dates from members/printfeercpt.pl (1.53 KB, patch)
2015-09-29 16:47 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14946 - Remove C4::Dates from files acqui/*.pl (14.19 KB, patch)
2015-10-05 14:57 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14926 - Remove C4::Dates from members/printfeercpt.pl (1.64 KB, patch)
2015-10-08 15:06 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14926: Format the date according to the dateformat syspref (1.94 KB, patch)
2015-10-09 08:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14926: Format the date according to the dateformat syspref (2.08 KB, patch)
2015-10-09 14:50 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14926 - Remove C4::Dates from members/printfeercpt.pl (1.70 KB, patch)
2015-10-15 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14926: Format the date according to the dateformat syspref (2.14 KB, patch)
2015-10-15 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-29 16:41:40 UTC
This patch removes C4::Dates from members/printfeercpt.pl
Comment 1 Marc Véron 2015-09-29 16:47:34 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-05 14:57:03 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-10-05 14:59:31 UTC
Comment on attachment 43143 [details] [review]
Bug 14946 - Remove C4::Dates from files acqui/*.pl

Mistaked with bug number, sorry for the noise.
Comment 4 Héctor Eduardo Castro Avalos 2015-10-08 15:06:58 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-10-09 08:23:16 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #4)
> Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
> Works as advertised. Date displayed 2015-10-08

Yes but YYYY-MM-DD is the iso format.
If you change your pref to something else, it will be the iso format too.
So the patch does not work.
Comment 6 Jonathan Druart 2015-10-09 08:26:52 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-10-09 08:27:25 UTC
Please try again with the last patch, and don't forget to change your dateformat pref to something else than iso :)
Comment 8 Héctor Eduardo Castro Avalos 2015-10-09 14:30:48 UTC
(In reply to Jonathan Druart from comment #7)
> Please try again with the last patch, and don't forget to change your
> dateformat pref to something else than iso :)

Okidoki
Comment 9 Héctor Eduardo Castro Avalos 2015-10-09 14:50:37 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-10-15 09:18:19 UTC
Created attachment 43418 [details] [review]
Bug 14926 - Remove C4::Dates from members/printfeercpt.pl

This patch removes C4::Dates from members/printfeercpt.pl

To test:

- Go to a patron's fines (members/boraccount.pl) and make sure that
  he/she has made a payment
- Select 'Print' in the payment's line
- Verify that the payment date on the slip displays correctly

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Date displayed 2015-10-08

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2015-10-15 09:18:25 UTC
Created attachment 43419 [details] [review]
Bug 14926: Format the date according to the dateformat syspref

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Tested with the three values from dateformat syspref

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Tomás Cohen Arazi 2015-10-19 13:46:55 UTC
Patches pushed to master.

Thanks Marc!